DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTConsentForClinicalTrialUseSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTConsentForClinicalTrialUseSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getClinicalTrialProtocolID (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolID (0012,0020)
OFCondition | getConsentForDistributionFlag (OFString &value, const signed long pos=0) const
| get ConsentForDistributionFlag (0012,0085)
OFCondition | getDistributionType (OFString &value, const signed long pos=0) const
| get DistributionType (0012,0084)
OFCondition | setClinicalTrialProtocolID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolID (0012,0020)
OFCondition | setConsentForDistributionFlag (const OFString &value, const OFBool check=OFTrue)
| set ConsentForDistributionFlag (0012,0085)
OFCondition | setDistributionType (const OFString &value, const OFBool check=OFTrue)
| set DistributionType (0012,0084)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | ClinicalTrialProtocolID
| ClinicalTrialProtocolID (0012,0020) vr=LO, vm=1, type=1C.
DcmCodeString | ConsentForDistributionFlag
| ConsentForDistributionFlag (0012,0085) vr=CS, vm=1, type=1.
DcmCodeString | DistributionType
| DistributionType (0012,0084) vr=CS, vm=1, type=1C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTConsentForClinicalTrialUseSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTConsentForClinicalTrialUseSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getClinicalTrialProtocolID()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::getClinicalTrialProtocolID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ClinicalTrialProtocolID (0012,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getConsentForDistributionFlag()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::getConsentForDistributionFlag | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ConsentForDistributionFlag (0012,0085)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDistributionType()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::getDistributionType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DistributionType (0012,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTConsentForClinicalTrialUseSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTConsentForClinicalTrialUseSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTConsentForClinicalTrialUseSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialProtocolID()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::setClinicalTrialProtocolID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ClinicalTrialProtocolID (0012,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setConsentForDistributionFlag()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::setConsentForDistributionFlag | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ConsentForDistributionFlag (0012,0085)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDistributionType()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::setDistributionType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DistributionType (0012,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTConsentForClinicalTrialUseSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcctus.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2